Jaben
  • Posts: 2544
  • Joined: 09/10/2004
YAF v1.9.5 RC1 (Date: 10/5/2010 Rev: 3848)

Changes in v1.9.5? Please view tha_watcha's excellent what's new page.  For bug fixes, see the tracker change log 

One thing I can say about v1.9.5: it's the fastest YAF yet! 😁

v1.9.5 requires .NET v3.5 SP1+ or .NET v4.

This release would not have been possible without all the wonderful YAF developers! [thumbup] Special thanks to  tha_watcha and  bbobb for their massive contributions to this particular release.

Languages
Languages may be out of date to the latest in english.xml. Now there is a new language file editor in the admin to make localization much simpler.

Contributing to YAF
How can you support YAF, you ask? Just help a bit. Test the software and post bugs. Answer a few questions on this forum for other, less knowledgeable, YAF admins. If you really want to go crazy, write a little documentation in the wiki...

Bug/Issue Tracking
YAF now has proper bug tracking thanks to another excellent open source .NET project: BugNET . Please use the tracker to for issues: http://tracker.yetanotherforum.net/ 
If you want to discuss a possible issue, please post the discussion in this forum: http://forum.yetanotherf...2_Bugs-and-Problems.aspx 

Web Application Project
Yes folks, the project is WAP again. Due to general development direction and demand, we're back to Web Application Project.

DNN Module
 tha_watcha and I will be working on a v1.9.5 module release in the next couple of days. Stay tuned.

API Documentation
YafAPIDocumentation.chm is the compiled docs for the YAF v1.9.4 beta API. It provides a nice way to search or lookup related classes. Currently, it's rather limited as real API documentation is very time consuming (e.g. examples, "see also"). It will be evolving over time.

UPDATED: Legacy Theme: FlatEarth
Due to popular demand, it's attached to this post. Just unzip in your YAF directory and it will be available as a theme selection.

Compiling
If you do want to compile the source, please download Visual Studio 2010 Express .

SRC: Includes the compiled forum and forum page files with full source and binaries. Requires .NET v3.5 SP1 or greater.
BIN: Includes the compiled forum and forum page files without the source. Requires .NET v3.5 SP1 or greater.

YAF-v1.9.5-RC1-SRC.zip 
YAF-v1.9.5-RC1-BIN.zip 
File Attachment(s):
LegacyTheme-FlatEarth.zip (144kb) downloaded 172 time(s).
Jaben attached the following image(s):

Sponsor
Underground
  • Posts: 103
  • Joined: 05/06/2009
I downloaded the binary zip file.
Is it correct that the bin folder is empty?
My site containing the YAF forum: Globalcaching.eu 
Jaben
  • Posts: 2544
  • Joined: 09/10/2004
Underground wrote:

I downloaded the binary zip file.
Is it correct that the bin folder is empty?


Fixed. Please try again.
Underground
  • Posts: 103
  • Joined: 05/06/2009
👍
will report back if the upgrade was succesful (might be tonight or tomorrow).
Thanks for the quick fix!
My site containing the YAF forum: Globalcaching.eu 
cagliostro
  • Posts: 324
  • Joined: 23/08/2010
Jaben wrote:

[size=7]
DNN Module
 tha_watcha and I will be working on a v1.9.5 module release in the next couple of days. Stay tuned.



I think he already created a DNN version.

:roll:


(edit: older release)
tommy382
  • Posts: 91
  • Joined: 11/04/2008
Anyone tried upgrading from 1.9.4Final yet? Will the install script knows about the upgrade or I have to run a different "upgrade installer"?
tha_watcha
  • Posts: 4071
  • Joined: 06/03/2010
tommy382 wrote:

Anyone tried upgrading from 1.9.4Final yet? Will the install script knows about the upgrade or I have to run a different "upgrade installer"?



You only need to run the Normal Install/Upgrade Wizard ../Install/Default.aspx
UserPostedImage
tommy382
  • Posts: 91
  • Joined: 11/04/2008
I'm reading the read me about the upgrade and saw the following:
If you are upgrading an existing YAF installation please follow these important directions: 

UPGRADING YAF FORUMS v1.9.1.x: 
Copy and rename the "/webconfigs/v191-upgrade-web.config" to "/web.config" as it contains necessary settings for the YAF membership providers to support backwards compatibility with your older YAF database.

IMPORTANT: UPGRADING YAF FORUMS v1.9.3: 
You need to MERGE the changes for the /webconfigs/recommended-web.config or the /webconfigs/v191-upgrade-web.config depending on the original web config you used -- the membership provider settings have changed.


What about if I'm upgrading from v1.9.4? If I don't need to do anything special going from 1.9.4, I would put a line in there anyway that says "you don't need to do anything special." Without that line, I'm just not sure the author forgot about upgrading from 1.9.4 or I really don't need to do anything special 🙂
Jaben
  • Posts: 2544
  • Joined: 09/10/2004
There is nothing you need to do upgrading from v1.9.4. No news is good news... less is more. Up is down.
f0zzyNUE
  • Posts: 89
  • Joined: 09/09/2010
tommy382 wrote:

Anyone tried upgrading from 1.9.4Final yet? Will the install script knows about the upgrade or I have to run a different "upgrade installer"?


i have done that successfully ... unfortunately my favorite theme "flat earth" is no longer available 😠
tommy382
  • Posts: 91
  • Joined: 11/04/2008
f0zzyNUE wrote:

tommy382 wrote:

Anyone tried upgrading from 1.9.4Final yet? Will the install script knows about the upgrade or I have to run a different "upgrade installer"?


i have done that successfully ... unfortunately my favorite theme "flat earth" is no longer available 😠

Same here, see this topic .

I ended up with the "clean slate" theme since Flat Earth is gone. Nothing in 1.9.5 comes close to Flat Earth, IMHO!

See the themes for yourself:
1. Flat Earth theme 
2. Clean Slate theme 

The 2nd one is running 1.9.5RC1 while the first one is running 1.9.4Final. The 2nd one is on a test sandbox and I didn't finish adding on "add on" code yet so it might look a little different than the first (beside the theme).
tha_watcha
  • Posts: 4071
  • Joined: 06/03/2010
f0zzyNUE wrote:

tommy382 wrote:

Anyone tried upgrading from 1.9.4Final yet? Will the install script knows about the upgrade or I have to run a different "upgrade installer"?


i have done that successfully ... unfortunately my favorite theme "flat earth" is no longer available 😠


What is the problem? If you using it already you can still use it, it will work with 1.9.5.
UserPostedImage
Jaben
  • Posts: 2544
  • Joined: 09/10/2004
f0zzyNUE wrote:

tommy382 wrote:

Anyone tried upgrading from 1.9.4Final yet? Will the install script knows about the upgrade or I have to run a different "upgrade installer"?


i have done that successfully ... unfortunately my favorite theme "flat earth" is no longer available 😠

Some themes had to go -- I don't have the resources to support so many themes during changes and modifications.

I would bring it back if anyone was willing to support it.
Underground
  • Posts: 103
  • Joined: 05/06/2009
I installed the upgrade, but it went wrong. I got the message:
=============================
Server Error in '/' Application.

Procedure or function 'yaf_shoutbox_getmessages' expects parameter '@BoardId', which was not supplied.

=============================

I did execute the /install/
Any suggestions?

- Robert

edit: hmmmm, the shoutbox sql statement has changed to get the messages I guess.
I have the shoutbox messages on my index page. Bummer, but hopefully, that is the only problem 😉
My site containing the YAF forum: Globalcaching.eu 
Underground
  • Posts: 103
  • Joined: 05/06/2009
OK, that error was cleared and caused by code outside the forum.

But now, someone changed the theme to YafMobile (using a mobile device and got exceptions)
I checked the settings and it seeems that you can select a default Mobile Theme.
============
Mobile Theme:
The mobile theme to use on this board.
=================
However, I cannot select a theme. The list is empty.
Any suggestions?
Solution was to change the theme xml file to say it is a mobile theme. However, the theme crashes the site.
(System.Web.HttpParseException: The file '/forum/Themes/Yafmobile/MobilePages/forum.ascx.cs' does not exist.)

Another thing was tested: notification on new posts.
I didn't get an email (same as the problem I have with this forum. When I subcribe to notifications (immidiate), I get no emails.
(I don't see: My Profile->Communication Preferences. as refered to in another post)

Another problem I ran into is that ajax does not work properly under FF and Chrome (IE seems to be OK) on themes that do not use CSS3 (rounded corners)

I can throw away the thems that are not working, but the email notification is a showstopper for me.
My site containing the YAF forum: Globalcaching.eu 
Users browsing this topic
    Forum Jump  
    • You cannot post new topics in this forum.
    • You cannot reply to topics in this forum.
    • You cannot delete your posts in this forum.
    • You cannot edit your posts in this forum.
    • You cannot create polls in this forum.
    • You cannot vote in polls in this forum.

    About Us

    The YAF.NET is an open source .NET forum project. YAF.NET is supported by an team of international developers who are build community by building community software.

    Powered by Resharper Donate with PayPal button

    Project Twitter Updates

    Copyright © YetAnotherForum.NET & Ingo Herbote. All rights reserved